// filename ******** main.C ************** 
// Example main program for Pulse Width Modulated outputs 
// two 8-bit Pulse Width Modulated outputs 
// Technological Arts 9S12DP512 board  
// PP3 PP1 are PWM output, 93.75Hz wave
// PWMDTY3, PWMDTY1 vary from 0 to 250 

//        ___________  250-PWMDTY3     ___________
// PP3 __/  PWMDTY3	 \________________/ 	PWMDTY3	\___

//        ___________  250-PWMDTY1     ___________
// PP1 __/  PWMDTY1	 \________________/ 	PWMDTY1	\___

// Jonathan W. Valvano 9/1/09

//  This example accompanies the books
//   "Embedded Microcomputer Systems: Real Time Interfacing",
//        Thompson, copyright (c) 2006,
//   "Introduction to Embedded Systems: Interfacing to the Freescale 9S12",
//        Cengage Publishing 2009, ISBN-10: 049541137X | ISBN-13: 9780495411376

// Copyright 2009 by Jonathan W. Valvano, valvano@mail.utexas.edu 
// You may use, edit, run or distribute this file 
//    as long as the above copyright notices remain

#include <hidef.h>      /* common defines and macros */
#include <mc9s12dp512.h>     /* derivative information */
#pragma LINK_INFO DERIVATIVE "mc9s12dp512"

#include "PWM.h"
#include "PLL.h"

void main(void) {
  PLL_Init();      // running at 24MHz
  EnableInterrupts;
  PWM_Init();
  PWM_Duty3(25);  // PP3 10% 93.75Hz wave
  PWM_Duty1(225); // PP1 90% 93.75Hz wave
  for(;;) {
  } 
}
